## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DOMStringPointerHashFunction Struct Reference

Hash functor for DOMStrings. More...

List of all members.

## Public Member Functions

- result_type operator() (argument_type theKey) const

## Detailed Description

Hash functor for DOMStrings.

Parameters:

  theKey | XalanDOMString to be hashed

Returns:
  hash value for XalanDOMString

## Member Function Documentation

result_type DOMStringPointerHashFunction::operator() | ( | argument_type | theKey | ) | const

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.